﻿using System.Windows.Forms;

namespace AfterLabelEditTrimSample {
    public partial class MainForm : Form {
        public MainForm() {
            InitializeComponent();
        }

        protected override bool ProcessDialogKey(Keys keyData) {
            switch (keyData) {
                case Keys.F2:
                    if (listView.SelectedItems.Count == 1) {
                        listView.SelectedItems[0].BeginEdit();
                    }
                    return true;
                default: return base.ProcessDialogKey(keyData);
            }            
        }


        private void MainForm_Load(object sender, System.EventArgs e) {
            for (int i = 0; i < 10; i++) {
                listView.Items.Add("Item " + i.ToString());
            }
        }

        private void listView_AfterLabelEdit(object sender, LabelEditEventArgs e) {
            if (e.Label == null) { return; }
            var trimmed = e.Label.Trim();
            if (!(string.Equals(trimmed, e.Label))) {
                listView.SelectedItems[0].Text = trimmed;
                e.CancelEdit = true;
            }
        }
    }
}
